Sonochan II 0.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions | Variables
image.c File Reference
`#include <stdint.h>`
`#include "image.h"`

## Functions
void | image_boot (void)
void | image_init (void)
void | image_task_init (void)
uint8_t * | image_get_dev_desc_pointer (void)
uint16_t | image_get_dev_desc_length (void)
uint8_t * | image_get_conf_desc_pointer (void)
uint16_t | image_get_conf_desc_length (void)
uint8_t * | image_get_conf_desc_fs_pointer (void)
uint16_t | image_get_conf_desc_fs_length (void)
uint8_t * | image_get_conf_desc_hs_pointer (void)
uint16_t | image_get_conf_desc_hs_length (void)
uint8_t * | image_get_qualifier_desc_pointer (void)
uint16_t | image_get_qualifier_desc_length (void)
void | image_user_endpoint_init (uint8_t conf_nb)
Bool | image_user_read_request (uint8_t type, uint8_t request)
void | image_user_set_interface (U8 wIndex, U8 wValue)

## Variables
static const image_t * | image

## Function Documentation

void image_boot | ( | void | ) |  |

uint16_t image_get_conf_desc_fs_length | ( | void | ) |  |

uint8_t* image_get_conf_desc_fs_pointer | ( | void | ) |  |

uint16_t image_get_conf_desc_hs_length | ( | void | ) |  |

uint8_t* image_get_conf_desc_hs_pointer | ( | void | ) |  |

uint16_t image_get_conf_desc_length | ( | void | ) |  |

uint8_t* image_get_conf_desc_pointer | ( | void | ) |  |

uint16_t image_get_dev_desc_length | ( | void | ) |  |

uint8_t* image_get_dev_desc_pointer | ( | void | ) |  |

uint16_t image_get_qualifier_desc_length | ( | void | ) |  |

uint8_t* image_get_qualifier_desc_pointer | ( | void | ) |  |

void image_init | ( | void | ) |  |

void image_task_init | ( | void | ) |  |

void image_user_endpoint_init | ( | uint8_t | conf_nb) |  |

Bool image_user_read_request | ( | uint8_t | type,
|  | uint8_t | request
| ) |  |

void image_user_set_interface | ( | U8 | wIndex,
|  | U8 | wValue
| ) |  |

## Variable Documentation

const image_t* image
| static